Text Authoring

Text Authoring API

1.0.0OAS 3.1

Public API for retrieving text content within Bynder.

API Base URL
  • Server 1:https://$ACCOUNT.bynder.com/api/1/authoring

    The $ACCOUNT should be your assigned subdomain or replace the whole URL if you have a custom domain.

Security
bearerAuth (http)

Provide your bearer token in the Authorization header when making requests to protected resources.

Example: Authorization: Bearer 123

document

Concerns a document entity, that is, a document for the widget

Get document

Use this endpoint to retrieve your text content in CXUC. The $ACCOUNT is your assigned subdomain, or just replace the URL if you have a custom domain.

get
https://$ACCOUNT.bynder.com/api/1/authoring/documents/{document_uuid}

Path Parameters

document_uuidstringrequired

The UUID of the document to be actioned.

Headers

Acceptstring

The Accept header must be set to application/vnd.api+json

Authorizationstringrequired

The authorization header that is using the JWT token and the Bearer scheme.

Match pattern:Bearer .+

Refererstring

The referer header is required to derive the calling module for permissions functionality.

Example:https://account.example.com/guidelines/page/d4822bae-91ac-4cec-b392-9c5c1877f718

Response

application/vnd.api+json

A DocumentContent response

DocumentContentBody

dataobjectrequired
Show Child Parameters
get/documents/{document_uuid}
 
application/vnd.api+json